# $Id: kdelibs.spec,v 1.80 2004/02/10 20:08:59 rexdieter Exp $

Summary: Wireless ethernet configuration tools
Group:	 System Environment/Base
License: GPL
Name: 	 wireless-tools
Epoch:	 0
Version: 26
Release: 0.2%{?dist_tag}.kde
URL:	 http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source:	 http://pcmcia-cs.sourceforge.net/ftp/contrib/wireless_tools.26.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glibc-kernheaders
#BuildRequires: %{_includedir}/linux/wireless.h
Source1: wireless_ext.c

BuildRequires: sed 

ExcludeArch: s390 s390x

Patch1: wireless-tools-26-makefile.patch

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment. 


%prep
%setup -q -n wireless_tools.%{version}

%patch1 -p1 -b .mak

%{__cc} %{SOURCE1} -o wireless_ext
wext_version=$(./wireless_ext ||:)

sed -i -e 's,linux/wireless.h,wireless.${wext_version}.h,' iwlib.h


%build
#make clean

wext_version=$(./wireless_ext ||:)

make BUILD_SHARED=1 IWLIBS="-L. -liw" FORCE_WEXT_VERSION=${wext_version}



%install
rm -rf $RPM_BUILD_ROOT

wext_version=$(./wireless_ext ||:)

mkdir -p $RPM_BUILD_ROOT{/sbin,/%{_lib},%{_mandir}/man8,%{_includedir},%{_libdir}}

make install INSTALL_DIR=$RPM_BUILD_ROOT/sbin \
	INSTALL_LIB=$RPM_BUILD_ROOT/%{_lib} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}

rm -f $RPM_BUILD_ROOT/%{_lib}/libiw.a
ln -sf ../../%{_lib}/libiw.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libiw.so

install -p -m644 wireless.${wext_version}.h $RPM_BUILD_ROOT%{_includedir}/


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc INSTALL README DISTRIBUTIONS.txt
/sbin/*
%{_mandir}/man*/*
/%{_lib}/*.so.*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Apr 17 2005 Leon Bottou <leon@bottou.org> 0:26-0.1.kde
- v26, protocol15, ignore linux headers.

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 0:26-0.fdr.0
- kde-redhat'ize

* Sun Aug 10 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- release 26

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Mar 09 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- also change destination of the symlink

* Mon Feb 17 2003 Bill Nottingham <notting@redhat.com> 25-8
- fix symlink (#84021)

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 25-7
- fix symlink (#84021)

* Fri Feb  7 2003 Bill Nottingham <notting@redhat.com> 25-6
- remove broken specfile defines, fix makefile (#82423)

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 25-5
- rebuild against new glibc-kernheaders (#82423)

* Fri Jan 31 2003 Elliot Lee <sopwith@redhat.com> 25-4
- Fix for multilib, and fix the .so symlink location.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 25-2
- rebuild on all arches

* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 25-1
- v25 - fixes encryption usage display, eternal loops for unknown 
  events and matches the v13 wireless extensions as shipped in
  kernel (#72582)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 24-1
- v24

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Bill Nottingham <notting@redhat.com> 23-2
- rebuild against new headers

* Thu Feb 28 2002 Elliot Lee <sopwith@redhat.com> 23-1
- Update to version 23, with associated fixes.

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- rebuild against new kernel

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Sun Apr 22 2001 Bill Nottingham <notting@redhat.com>
- update to version 21

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with glibc-2.2
- also, rebuild so it no longer dumps core. :)

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section in the spec file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- initial build
